﻿function configure() {

    scheduler.attachEvent("onBeforeViewChange", function (old_mode, old_date, mode, date) {
        var toStr = scheduler.date.date_to_str("%d-%m-%Y");
        var start = scheduler.date[mode + "_start"](new Date(date));
        var end = scheduler.date.add(start, 1, mode);

        //if in timeline mode and changing dates
        if (!old_date || old_date.valueOf() != date.valueOf()) {
            $.ajax({
                dataType: "json",
                url: app.sections_url,
                data: {
                    from: toStr(start),
                    to: toStr(end)//stringify dates
                },
                complete: function (response) {

                    var sections = JSON.parse(response.responseText);
                    // convert loaded data to timeline sections:

                    var scheduler_sections = [];
                    for (var i = 0; i < sections.length; i++) {
                        scheduler_sections.push({
                            key: sections[i].id,
                            label : "Item #"+sections[i].id+" For <b>"+sections[i].value+"</b>" 
                        });
                    }

                    scheduler.updateCollection("ajax_options", scheduler_sections);
                }

            });
        }
        return true;
    });
}
